
#property copyright "Copyright  2011, FiboLab."
#property link      "http://www.fibolab.com"
#include <stderror.mqh>
#include <stdlib.mqh>
//+------------------------------------------------------------------+
//| script program start function                                    |
//+------------------------------------------------------------------+
int start()
{
   bool closeResult;
   int count_deals_to_close;
   bool started = false;
   
   while(count_deals_to_close != 0 || started==false)
   {
      count_deals_to_close = 0;
      started = true;
      
      for(int pos=OrdersTotal()-1; pos>=0; pos--)
      {
         if(OrderSelect(pos, SELECT_BY_POS) == false) continue;
         if(Symbol() != OrderSymbol()) continue;   
         
         Print("TryToClose: "+OrderTicket());
         count_deals_to_close++;
      
         if(OrderType()>1)        
            closeResult = OrderDelete(OrderTicket(), CLR_NONE);
            
         if(closeResult == false)
         {
           Print("OrderClose failed #"+OrderTicket()+" Err:"+ErrorDescription(GetLastError()));
           Sleep(1000);
         }//if closing failed
         else count_deals_to_close--;
      }//for
  }//while
return(0);
}
//+------------------------------------------------------------------+